CreateApplication
Creates a new application for the workspace and IdC application provided
Request Syntax
POST /applications HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"description": "string",
"idcInstanceArn": "string",
"name": "string",
"tags": {
"string" : "string"
},
"workspaceName": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- clientToken
-
Unique client token for idempotent request handling
Type: String
Length Constraints: Minimum length of 36. Maximum length of 64.
Pattern:
\S{36,64}Required: No
- description
-
Description of the application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
[^\u0000-\u001F\u007F]+Required: No
- idcInstanceArn
-
Identity Center Instance ARN to create the application in
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1600.
Pattern:
^arn:aws(-cn|-us-gov)?:[a-zA-Z0-9-:\/_\.]+$Required: Yes
- name
-
Name of the application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[A-Za-z0-9](?:[A-Za-z0-9 ._()\-]*[A-Za-z0-9._()\-])?Required: Yes
-
A list of key-value pairs that contain metadata for the application.
Type: String to string map
Map Entries: Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 256.
Required: No
- workspaceName
-
Name of the workspace to associate with the underlying Application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"dnsSubdomain": "string",
"id": "string",
"name": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- arn
-
ARN of the application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1600.
Pattern:
^arn:aws(-cn|-us-gov)?:[a-zA-Z0-9-:\/_\.]+$ - dnsSubdomain
-
DNS subdomain for the application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 63.
Pattern:
[a-z0-9]([a-z0-9-]*[a-z0-9])? - id
-
Unique identifier of the application
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[a-z0-9-]{36} - name
-
Name of the application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[A-Za-z0-9](?:[A-Za-z0-9 ._()\-]*[A-Za-z0-9._()\-])? - status
-
Current status of the application
Type: String
Valid Values:
CREATING | ACTIVE | DELETING
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access is denied.
HTTP Status Code: 403
- ConflictingOperationException
-
Your request has conflicting operations. This can occur if you're trying to perform more than one operation on the same resource at the same time.
- resourceArn
-
The ARN of the resource that conflicts with this operation.
- resourceId
-
The ID of the resource that conflicts with this operation.
HTTP Status Code: 409
- InternalFailureException
-
AWS IoT SiteWise can't process your request right now. Try again later.
HTTP Status Code: 500
- InvalidRequestException
-
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.
HTTP Status Code: 400
- LimitExceededException
-
You've reached the quota for a resource. For example, this can occur if you're trying to associate more than the allowed number of child assets or attempting to create more than the allowed number of properties for an asset model.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 410
- ResourceNotFoundException
-
The requested resource can't be found.
HTTP Status Code: 404
- ThrottlingException
-
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: